#
# Conditional build:
%bcond_without	apidocs	# API documentation
%bcond_without	sysprof	# sysprof profiling

Summary:	HTTP client/server library for GNOME
Summary(pl.UTF-8):	Biblioteka klienta/serwera HTTP dla GNOME
Name:		libsoup3
Version:	3.6.5
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://download.gnome.org/sources/libsoup/3.6/libsoup-%{version}.tar.xz
# Source0-md5:	181a474d783492e3f5f7cbfb047bcecd
# from libsoup 3.0.0 (waiting for pygobject3 release containing this file)
Source1:	Soup.py
Patch0:		%{name}-path-override.patch
URL:		https://wiki.gnome.org/Projects/libsoup
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
%{?with_apidocs:BuildRequires:	gi-docgen >= 2021.1}
BuildRequires:	glib2-devel >= 1:2.70.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	heimdal-devel
BuildRequires:	libbrotli-devel
BuildRequires:	libpsl-devel >= 0.20.0
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	meson >= 0.54
BuildRequires:	nghttp2-devel >= 1.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	sqlite3-devel
%{?with_sysprof:BuildRequires:	sysprof-devel >= 3.38}
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	glib2 >= 1:2.70.0
Requires:	libpsl >= 0.20.0
Requires:	nghttp2-libs >= 1.50.0
# for TLS support
Suggests:	glib-networking
# ntlm_auth for NTLM support
Suggests:	samba-winbind
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libsoup is an HTTP client/server library for GNOME. It uses GObjects
and the glib main loop, to integrate well with GNOME applications.

%description -l pl.UTF-8
libsoup to biblioteka klienta/serwera HTTP dla GNOME. Wykorzystuje
typy GObject oraz pętlę główną glib, aby dobrze integrować się z
aplikacjami GNOME.

%package devel
Summary:	Header files for libsoup 3 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsoup 3
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.70.0
Requires:	libbrotli-devel
Requires:	libpsl-devel >= 0.20.0
Requires:	libxml2-devel >= 1:2.6.31
Requires:	sqlite3-devel
Requires:	sysprof-devel >= 3.38
Requires:	zlib-devel

%description devel
Header files for libsoup 3 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsoup 3.

%package static
Summary:	libsoup 3 static library
Summary(pl.UTF-8):	Biblioteka statyczna libsoup 3
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libsoup 3 static library.

%description static -l pl.UTF-8
Biblioteka statyczna libsoup 3.

%package apidocs
Summary:	libsoup API documentation
Summary(pl.UTF-8):	Dokumentacja API libsoup
Group:		Documentation
BuildArch:	noarch

%description apidocs
libsoup API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libsoup.

%package -n python3-libsoup3
Summary:	Python 3.x interface for libsoup 3 library
Summary(pl.UTF-8):	Interfejs Pythona 3.x do biblioteki libsoup 3
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-pygobject3 >= 3.0

%description -n python3-libsoup3
Python 3.x interface for libsoup 3 library.

%description -n python3-libsoup3 -l pl.UTF-8
Interfejs Pythona 3.x do biblioteki libsoup 3.

%package -n vala-libsoup3
Summary:	libsoup 3 API for Vala language
Summary(pl.UTF-8):	API libsoup 3 dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala
BuildArch:	noarch

%description -n vala-libsoup3
libsoup 3 API for Vala language.

%description -n vala-libsoup3 -l pl.UTF-8
API libsoup 3 dla języka Vala.

%prep
%setup -q -n libsoup-%{version}
%patch -P0 -p1

%build
%meson \
	-Dautobahn=disabled \
	-Dbrotli=enabled \
	-Ddocs=%{__enabled_disabled apidocs} \
	-Dgssapi=enabled \
	-Dintrospection=enabled \
	-Dntlm=enabled \
	-Dntlm_auth=/usr/bin/ntlm_auth \
	-Dpkcs11_tests=disabled \
	-Dsysprof=%{__enabled_disabled sysprof} \
	-Dtests=false \
	-Dtls_check=false \
	-Dvapi=enabled

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

install -d $RPM_BUILD_ROOT%{py3_sitedir}/gi/overrides
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{py3_sitedir}/gi/overrides/Soup.py

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_gidocdir}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/libsoup-3.0 $RPM_BUILD_ROOT%{_gidocdir}
%endif

%find_lang libsoup-3.0

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f libsoup-3.0.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libsoup-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsoup-3.0.so.0
%{_libdir}/girepository-1.0/Soup-3.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsoup-3.0.so
%{_includedir}/libsoup-3.0
%{_pkgconfigdir}/libsoup-3.0.pc
%{_datadir}/gir-1.0/Soup-3.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libsoup-3.0.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gidocdir}/libsoup-3.0
%endif

%files -n python3-libsoup3
%defattr(644,root,root,755)
%{py3_sitedir}/gi/overrides/Soup.py

%files -n vala-libsoup3
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libsoup-3.0.deps
%{_datadir}/vala/vapi/libsoup-3.0.vapi
%changelog
* Fri Apr 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsoup3.git;a=log;h=master

* Fri Apr 04 2025 Jakub Bogusz <qboosh@pld-linux.org> 6366c3e
- updated to 3.6.5

* Fri Mar 21 2025 Jan Palus <atler@pld-linux.org> 5509e21
- Release 3 (by relup.sh)

* Thu Feb 06 2025 Jakub Bogusz <qboosh@pld-linux.org> 159dc91
- disable autobahn tests explicitly (with new meson macros auto features default to enabled); release 2

* Wed Feb 05 2025 Jakub Bogusz <qboosh@pld-linux.org> 4087795
- updated meson macros

* Tue Feb 04 2025 Jakub Bogusz <qboosh@pld-linux.org> 4d3eaa6
- updated to 3.6.4

* Sun Nov 24 2024 Jakub Bogusz <qboosh@pld-linux.org> b7e7f0f
- updated to 3.6.1

* Mon Aug 26 2024 Jakub Bogusz <qboosh@pld-linux.org> b7c3857
- updated to 3.6.0

* Sun Oct 29 2023 Jakub Bogusz <qboosh@pld-linux.org> bbe9908
- updated to 3.4.4

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 9e9c5f0
- use _gidocdir for apidocs

* Fri Sep 15 2023 Jakub Bogusz <qboosh@pld-linux.org> 2fabc66
- updated to 3.4.3

* Sun Apr 30 2023 Jan Palus <atler@pld-linux.org> 919a5a4
- up to 3.4.2

* Sat Apr 22 2023 Jan Palus <atler@pld-linux.org> e9826e3
- up to 3.4.1

* Sat Mar 18 2023 Jan Palus <atler@pld-linux.org> f7616c3
- BR: python3 for %py3_*

* Sat Mar 18 2023 Jan Palus <atler@pld-linux.org> 4a1d3fc
- up to 3.4.0

* Wed Nov 09 2022 Jakub Bogusz <qboosh@pld-linux.org> 0b22d8f
- updated to 3.2.2

* Thu Oct 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 2db19ed
- updated to 3.2.1, ensure nghttp2 1.50+

* Sat Sep 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 8faab5f
- updated to 3.2.0

* Mon Sep 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 97f909e
- updated to 3.0.8

* Wed Jul 06 2022 Jakub Bogusz <qboosh@pld-linux.org> e99424b
- updated to 3.0.7

* Thu Mar 31 2022 Jakub Bogusz <qboosh@pld-linux.org> b3c24eb
- updated to 3.0.6

